AppletConsole
Date: 2019-10-22

org.jmol.console

## Class AppletConsole

- java.lang.Object
- - org.jmol.console.GenericConsole
  - - org.jmol.console.JmolConsole
    - - org.jmol.console.AppletConsole

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.WindowListener, java.util.EventListener, JmolAppConsoleInterface, JmolCallbackListener

      public class AppletConsole
      extends JmolConsole

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `AppletConsole.ControlEnterTextArea`
    `private class` | `AppletConsole.GenericTextPane`

  - ### Field Summary

    - ### Fields inherited from class org.jmol.console.JmolConsole

      `externalContainer, scriptEditor, vwrFrame`

    - ### Fields inherited from class org.jmol.console.GenericConsole

      `clearInButton, clearOutButton, defaultMessage, editButton, historyButton, input, label1, labels, loadButton, menuMap, nTab, output, runButton, stateButton, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppletConsole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `private void` | `add(java.awt.Container c2, JmolAbstractButton b)`
    `private void` | `addHelpItems(javax.swing.JMenu m0, java.lang.String key, java.lang.String attr)`
    `private void` | `addHelpMenuBar(javax.swing.JMenuBar menuBar)`
    `private javax.swing.JMenuBar` | `createMenubar()`
    `private javax.swing.JMenuItem` | `createMenuItem(java.lang.String cmd)`
    `protected void` | `execute(java.lang.String strCommand)`
    `protected JmolAbstractButton` | `getLabel1()`
    `protected void` | `layoutWindow(java.lang.String enabledButtons)`
    `void` | `setVisible(boolean visible)`
    `void` | `start(Viewer vwr)`

    - ### Methods inherited from class org.jmol.console.JmolConsole

      `addWindowListener, dispose, getPane, getScriptEditor, isMenuItem, newJMenu, newJMenuItem, nextFileName, setButton, setTitle, updateFontSize, updateLabels, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

    - ### Methods inherited from class org.jmol.console.GenericConsole

      `addButton, clearContent, completeCommand, destroyConsole, displayConsole, doAction, getLabel, getLabelWithoutMnemonic, getMnemonic, getText, map, notifyCallback, notifyEnabled, processKey, recallCommand, sendConsoleEcho, sendConsoleMessage, setAbstractButtonLabels, setCallbackFunction, setLabels, setupLabels, setupLabels0, setViewer, zap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppletConsole

          public AppletConsole()

  - ### Method Detail

    - #### start

          public void start(Viewer vwr)

    - #### getLabel1

          protected JmolAbstractButton getLabel1()

      Overrides:
        `getLabel1` in class `GenericConsole`

    - #### layoutWindow

          protected void layoutWindow(java.lang.String enabledButtons)

      Specified by:
        `layoutWindow` in class `GenericConsole`

    - #### add

          private void add(java.awt.Container c2,
                           JmolAbstractButton b)

    - #### createMenubar

          private javax.swing.JMenuBar createMenubar()

    - #### addHelpMenuBar

          private void addHelpMenuBar(javax.swing.JMenuBar menuBar)

    - #### addHelpItems

          private void addHelpItems(javax.swing.JMenu m0,
                                    java.lang.String key,
                                    java.lang.String attr)

    - #### createMenuItem

          private javax.swing.JMenuItem createMenuItem(java.lang.String cmd)

    - #### setVisible

          public void setVisible(boolean visible)

      Specified by:
        `setVisible` in interface `JmolAppConsoleInterface`
      Overrides:
        `setVisible` in class `JmolConsole`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`
      Overrides:
        `actionPerformed` in class `JmolConsole`

    - #### execute

          protected void execute(java.lang.String strCommand)

      Overrides:
        `execute` in class `GenericConsole`